Bug 531885 - Audio CD mount problems in Rawhide
Audio CD mount problems in Rawhide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-29 14:19 EDT by Stephen
Modified: 2015-03-03 17:41 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:43:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
excerpt from /var/log/messages showing 6 cycles of audio cd access failure in GNOME (20.36 KB, text/plain)
2009-12-20 21:51 EST, Nik Lam
no flags Details
Output of "devkit-disks --show-info /dev/sr0" (1.74 KB, text/plain)
2009-12-22 01:22 EST, Nik Lam
no flags Details

  None (edit)
Description Stephen 2009-10-29 14:19:58 EDT
Description of problem:

Upon entering an Audio CD the drive spins and then a pop up appears that says :

Unable to mount Audio Disc

DBus error org.freedesktop.DBus.Error.NoReply: Did not receive a reply.
Possible causes include: the remote application did not send a reply, the
message bus security policy blocked the reply, the reply timeout expired, or
the network connection was broken.

Data disks can be mounted and used with no problems until I try an Audio disk.  With the audio disk I get the Dbus error, I manually eject the disk and from then on I cannot mount/read any CDs, data or audio.  I also keep getting the Dbus error popping up when any CD is entered into the drive after the initial Audio CD.  Manually trying to eject CDs also becomes a lot harder, I have to keep my finger on the button for an extended length of time  

I am using Rawhide X86_64, on an Acer Aspire 5810T

The machine is dual boot, all CD/DVD disks are handled correctly if I boot into
Windows Vista so I am discounting Hardware problems at this point.  

Version-Release number of selected component (if applicable):

dbus-1.2.16-8.fc12.x86_64
DeviceKit-disks-008-1.fc12.x86_64
How reproducible:

Every time

Steps to Reproduce:
1. Boot system
2. Insert Audio CD
3.
  
Actual results:

No mount and hangs for all CDs thereafter

Expected results:

Mount

Additional info:

This information was originally appended to Bug 529468, but that was raised against F11, this is against Rawhide F12
Comment 1 David Zeuthen 2009-10-29 14:29:00 EDT
Audio CDs are handled by GVfs. Reassigning.
Comment 2 Stephen 2009-10-29 14:32:34 EDT
I have gvfs version gvfs-1.4.1-1.fc12.x86_64
Comment 3 Tomáš Bžatek 2009-11-03 08:16:09 EST
The Dbus error message looks like something has crashed. Can you check dmesg for segfaults or abrt if you have it installed?
Comment 4 Stephen 2009-11-03 08:30:47 EST
the dmesg output after I insert an Audio CD is :

ata5: exception Emask 0x1 SAct 0x0 SErr 0x0 action 0x0
ata5: irq_stat 0x40000001
ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
ata5.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
         cdb 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata5.00: status: { DRDY }
ata5: hard resetting link
ata5: failed to reset engine (errno=-5)
ata5: softreset failed (device not ready)
ata5: hard resetting link
ata5: failed to reset engine (errno=-5)
ata5: softreset failed (device not ready)
ata5: hard resetting link
ata5: failed to reset engine (errno=-5)
Comment 5 Bug Zapper 2009-11-16 09:37:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fabian A. Scherschel 2009-11-21 17:12:39 EST
I seem to have the same problem in up-to-date Fedora 12. dmesg says:

ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata2.00: ACPI cmd e3/00:1f:00:00:00:a0 succeeded
ata2.00: ACPI cmd e3/00:02:00:00:00:a0 succeeded
ata2.00: ACPI cmd e3/00:1f:00:00:00:a0 succeeded
ata2.00: ACPI cmd e3/00:02:00:00:00:a0 succeeded
ata2.00: configured for UDMA/33
ata2: EH complete
sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0
sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
__ratelimit: 134 callbacks suppressed
Buffer I/O error on device sr0, logical block 0
Buffer I/O error on device sr0, logical block 1
Buffer I/O error on device sr0, logical block 2
Buffer I/O error on device sr0, logical block 3
Buffer I/O error on device sr0, logical block 4
Buffer I/O error on device sr0, logical block 5
Buffer I/O error on device sr0, logical block 6
Buffer I/O error on device sr0, logical block 7
Buffer I/O error on device sr0, logical block 8
Buffer I/O error on device sr0, logical block 9
sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0
sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0
sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0
sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0
sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0
sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
ata2: limiting SATA link speed to 1.5 Gbps
ata2.00: exception Emask 0x12 SAct 0x0 SErr 0x400 action 0x6 frozen
ata2.00: irq_stat 0x08000000, interface fatal error
ata2: SError: { Proto }
ata2.00: cmd a0/00:00:00:02:00/00:00:00:00:00/a0 tag 0 pio 16388 in
         cdb 43 02 05 00 00 00 00 00  02 00 00 00 00 00 00 00
         res 50/00:03:00:04:00/00:00:00:00:00/a0 Emask 0x12 (ATA bus error)
ata2.00: status: { DRDY }
ata2: hard resetting link
Comment 7 Tomáš Bžatek 2009-11-23 05:40:19 EST
(In reply to comment #6)
> ata2: limiting SATA link speed to 1.5 Gbps
> ata2.00: exception Emask 0x12 SAct 0x0 SErr 0x400 action 0x6 frozen
> ata2.00: irq_stat 0x08000000, interface fatal error
> ata2: SError: { Proto }
> ata2.00: cmd a0/00:00:00:02:00/00:00:00:00:00/a0 tag 0 pio 16388 in
>          cdb 43 02 05 00 00 00 00 00  02 00 00 00 00 00 00 00
>          res 50/00:03:00:04:00/00:00:00:00:00/a0 Emask 0x12 (ATA bus error)
> ata2.00: status: { DRDY }
> ata2: hard resetting link  

This really looks like a hardware bug, gvfs is highlevel library, there are several layers in between. Does it happen for other media too?
Comment 8 Fabian A. Scherschel 2009-11-23 06:44:13 EST
It works for data discs, any audio CD I've tried gives me problems. If it helps, this is a less than one week old Thinkpad X301.
Comment 9 Stephen 2009-11-23 06:58:56 EST
I already stated in the problem that in my case it works for all other types of DVD/CD and that audio CDs work in windows, which is why I discounted a Hardware problem.  One piece of information I missed out was that the CD/Disk access light remains on from then on, which to me tends to suggest a looping program or a waiting program or a crashed program somewhere however I see nothing in top that looks out of the ordinary, so if it is looping programing it is not using a ton of resources.  Abrt does not report any program crashing.  I am using an Acer 5810T-8952
Comment 10 Nik Lam 2009-11-26 10:06:31 EST
I am seeing the same output as #6 and I too have a Thinkpad X301 (model 2774cto). I have been experiencing this problem since about September in Fedora 11 (BZ # 485551).

This is still occurring after I have done a completely fresh install of F12, done a yum update and updated to the latest BIOS.
Comment 11 Nik Lam 2009-11-26 10:25:04 EST
Actually, the main BZ report I was following for this was # 513495 but it got closed after errata for devkit was released. For several people, including me, the problem persisted, so BZ # 533643 was created.
Comment 12 Nik Lam 2009-11-26 17:59:49 EST
Autolink to bug #533643 which I believe is the same bug introduced a couple of months ago in Fedora 11.
Comment 13 Rod C. Johnson 2009-11-27 07:36:19 EST
1)I'm using an HP mini 110 netbook with the PAE kernel and I am having the same problem.  I want to pass on the fact that an audio cd can be read by grip and ripped.  The relevant dmesg output is pretty much the same as everyone else's.  


2)  My amd desktop also with the PAE kernel doesn't have this problem.
Comment 14 Ian Macdonald 2009-12-08 07:45:55 EST
I'd like to add my voice to the choir of people who can't play audio CDs in Fedora 12.

As with the previous poster's system, Grip can read and rip the CD. It just can't play it.

I'm running a Dell Precision T7500 workstation with the stock x86_64 kernel.
Comment 15 Nik Lam 2009-12-08 17:20:42 EST
I created live USB installations of Fedora 10 (i386) and Fedora 11 (i386), following 

 https://fedoraproject.org/wiki/FedoraLiveCD/USBHowTo

On my laptop (Lenovo ThinkPad x301), I do not see the problem on Fedora 10 - audio CDs play just fine, but the problem does occur on Fedora 11.
Comment 16 Nik Lam 2009-12-20 21:51:07 EST
Created attachment 379543 [details]
excerpt from /var/log/messages showing 6 cycles of audio cd access failure in GNOME

Hi Tomáš,

> This really looks like a hardware bug, gvfs is highlevel library, there are
> several layers in between. Does it happen for other media too? 

What can those of us who are experiencing this problem do to help track this problem down and get it reassigned (if necessary)?

It seems like the cause is complex - perhaps an interaction between specific models of hardware, the kernel and GVFS or components in between?

I've now done a bit more experimentation and here's what I've found:

==Runlevel 3==
===Data CD===
• Inserting data CDs does not produce any kernel output in /var/log/messages.

===Audio CD===
• Inserting an audio CD produces the following output in /var/log/messages:
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Dec 21 11:18:53 localhost kernel: Info fld=0x0
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Dec 21 11:18:53 localhost kernel: end_request: I/O error, dev sr0, sector 0
Dec 21 11:18:53 localhost kernel: __ratelimit: 68 callbacks suppressed
Dec 21 11:18:53 localhost kernel: Buffer I/O error on device sr0, logical block 0
Dec 21 11:18:53 localhost kernel: Buffer I/O error on device sr0, logical block 1
Dec 21 11:18:53 localhost kernel: Buffer I/O error on device sr0, logical block 2
Dec 21 11:18:53 localhost kernel: Buffer I/O error on device sr0, logical block 3
Dec 21 11:18:53 localhost kernel: Buffer I/O error on device sr0, logical block 4
Dec 21 11:18:53 localhost kernel: Buffer I/O error on device sr0, logical block 5
Dec 21 11:18:53 localhost kernel: Buffer I/O error on device sr0, logical block 6
Dec 21 11:18:53 localhost kernel: Buffer I/O error on device sr0, logical block 7
Dec 21 11:18:53 localhost kernel: Buffer I/O error on device sr0, logical block 8
Dec 21 11:18:53 localhost kernel: Buffer I/O error on device sr0, logical block 9
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Dec 21 11:18:53 localhost kernel: Info fld=0x0
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Dec 21 11:18:53 localhost kernel: end_request: I/O error, dev sr0, sector 0
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Dec 21 11:18:53 localhost kernel: Info fld=0x0
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Dec 21 11:18:53 localhost kernel: end_request: I/O error, dev sr0, sector 0
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Dec 21 11:18:53 localhost kernel: Info fld=0x0
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Dec 21 11:18:53 localhost kernel: end_request: I/O error, dev sr0, sector 0
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Dec 21 11:18:53 localhost kernel: Info fld=0x0
Dec 21 11:18:53 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Dec 21 11:18:53 localhost kernel: end_request: I/O error, dev sr0, sector 0

• Despite these errors, I'm able to get a rip of the audio tracks using cdparanoia. I couldn't find any packages that will allow playing of audio without a gui.

==KDE==
===Data CD===
• Inserting data CDs does not produce any kernel output in /var/log/messages, however, accing the CD using file manager causes the following message to be written to /var/log/messages
Dec 21 11:27:12 localhost hald: mounted /dev/sr0 on behalf of uid 28752

• Ejecting the CD using the KDE menu results in the following in /var/log/messages (N.B. in this case the CD volume is called "sunday_morning")
Dec 21 11:28:43 localhost hald: unmounted /dev/sr0 from '/media/sunday_morning' on behalf of uid 28752
Dec 21 11:28:44 localhost gnome-keyring-daemon[1818]: removing removable location: /media/sunday_morning
Dec 21 11:28:44 localhost gnome-keyring-daemon[1818]: no volume registered at: /media/sunday_morning

===Audio CD===
•  Inserting an audio CD again results in kernel errors appearing in /var/log/messages:
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Dec 21 11:29:41 localhost kernel: Info fld=0x0
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Dec 21 11:29:41 localhost kernel: end_request: I/O error, dev sr0, sector 0
Dec 21 11:29:41 localhost kernel: Buffer I/O error on device sr0, logical block 0
Dec 21 11:29:41 localhost kernel: Buffer I/O error on device sr0, logical block 1
Dec 21 11:29:41 localhost kernel: Buffer I/O error on device sr0, logical block 2
Dec 21 11:29:41 localhost kernel: Buffer I/O error on device sr0, logical block 3
Dec 21 11:29:41 localhost kernel: Buffer I/O error on device sr0, logical block 4
Dec 21 11:29:41 localhost kernel: Buffer I/O error on device sr0, logical block 5
Dec 21 11:29:41 localhost kernel: Buffer I/O error on device sr0, logical block 6
Dec 21 11:29:41 localhost kernel: Buffer I/O error on device sr0, logical block 7
Dec 21 11:29:41 localhost kernel: Buffer I/O error on device sr0, logical block 8
Dec 21 11:29:41 localhost kernel: Buffer I/O error on device sr0, logical block 9
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Dec 21 11:29:41 localhost kernel: Info fld=0x0
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Dec 21 11:29:41 localhost kernel: end_request: I/O error, dev sr0, sector 0
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Dec 21 11:29:41 localhost kernel: Info fld=0x0
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Dec 21 11:29:41 localhost kernel: end_request: I/O error, dev sr0, sector 0
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Dec 21 11:29:41 localhost kernel: Info fld=0x0
Dec 21 11:29:41 localhost kernel: sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Dec 21 11:29:41 localhost kernel: end_request: I/O error, dev sr0, sector 0

• However, I am able to play the CD via the KDE removable media menu using two of the three choices, Kaffeine and KsCD without generating any messages. The third choice, Amarok did not work automatically, however there was no output in /var/log/messages, which makes me think that this is just some other problem, perhaps the need to enter a password to use Amarok. Furthermore, launching Amarok manually then entering the password allows you to play the CD as expected.
• Ejecting the audio CD using the KDE removable media menu results in the following output in /var/log/messages (the drive does succesfully eject the CD).
Dec 21 11:34:34 localhost kernel: sr0: CDROM not ready.  Make sure there is a disc in the drive.


==GNOME==
===Data CD===
• Inserting a data CD under gnome does not result in anything being written to /var/log/messages and the data is accessible via nautilus as expected.
• Ejecting the data cd using GNOME right-click results in the following being written to /var/log/messages (N.B. the CD volume is named "sunday_morning")
Dec 21 11:47:43 localhost gnome-keyring-daemon[1818]: removing removable location: /media/sunday_morning
Dec 21 11:47:43 localhost gnome-keyring-daemon[1818]: no volume registered at: /media/sunday_morning
Dec 21 11:47:43 localhost gnome-keyring-daemon[3059]: removing removable location: /media/sunday_morning
Dec 21 11:47:43 localhost gnome-keyring-daemon[3059]: no volume registered at: /media/sunday_morning

===Audio CD===
• Inserting an audio CD under gnome results in the errors that have been described in this and other bug reports, namely the repeated GUI-based HAL popup error, each time accompanied by some kernel error output in /var/log/messages. The attachment is excerpt from /var/log/messages after inserting and audio CD showing 6 cycles of spinup-fail-spinup-fail-spinup-fail-spinup-fail-spinup-fail-spinup-fail. You can see that the kernel (?) eventuall tries a slower speed for the drive. If allowed to continue it drops to PIO mode and ultimately becomes completely inaccessible. There is never any way to access an audio CD if inserted into a logged-in GNOME session.
• However, if the audio CD is inserted before logging into the GNOME session, the crazy spinup-fail cycle does not occur. It is still not possible to play the audio CD using rythmbox (nor Amarok for that matter) however, Sound Juicer *is* able to play *and* rip the tracks on the CD without any difficulty.

I suspect that this problem is also behind why I can no longer play DVDs even though I've installed the appropriate non-free codecs etc.
Comment 17 Tomáš Bžatek 2009-12-21 05:23:35 EST
Hi Nik,

(In reply to comment #16)
> What can those of us who are experiencing this problem do to help track this
> problem down and get it reassigned (if necessary)?
I'm tempted this more a kernel problem rather than gvfs. gvfsd-cdda uses libcdio to access drive, no direct access from gvfs code.

`lsof | grep /dev/sr0` should show you only gvfsd-cdda, would be interesting to see if something else is accessing the drive at the same time.

> ==Runlevel 3==
Hold on, so you say it happens without running X? If so, that might be caused by devkit-disks-daemon (try killing it to see what happens). Alternatively, you can try doing `devkit-disks --inhibit-polling /dev/sr0`. I would be interested in the output of `devkit-disks --show-info /dev/sr0` too, please attach it here.

> ==KDE==
> Dec 21 11:27:12 localhost hald: mounted /dev/sr0 on behalf of uid 28752
Looks like KDE uses HAL for storage management (which itself shouldn't do any accesses to media on protocol level).

> • However, I am able to play the CD via the KDE removable media menu using two
> of the three choices, Kaffeine and KsCD without generating any messages. The
> third choice, Amarok did not work automatically, however there was no output in
> /var/log/messages, which makes me think that this is just some other problem,
> perhaps the need to enter a password to use Amarok. Furthermore, launching
> Amarok manually then entering the password allows you to play the CD as
> expected.
This really depends on application how it accesses data/media. E.g. in lsof output I can see rhythmbox being bound on /dev/sr0, though I thought it uses gvfsd-cdda for playback.


> ==GNOME==
> ===Audio CD===
> • Inserting an audio CD under gnome results in the errors that have been
> described in this and other bug reports, namely the repeated GUI-based HAL
> popup error, each time accompanied by some kernel error output in
> /var/log/messages.
What do you mean by "GUI-based HAL popup error"? HAL shouldn't be used anymore in Fedora/Gnome.

> • However, if the audio CD is inserted before logging into the GNOME session,
> the crazy spinup-fail cycle does not occur. It is still not possible to play
> the audio CD using rythmbox (nor Amarok for that matter) however, Sound Juicer
> *is* able to play *and* rip the tracks on the CD without any difficulty.
What about disabling autorun on Audio CDs in nautilus-file-management-properties ?
 
> I suspect that this problem is also behind why I can no longer play DVDs even
> though I've installed the appropriate non-free codecs etc.  
I would say this is unrelated to CDDA unless you see similar error messages. DVD Video discs are basically data DVD containing just a UDF format (nothing unusual with regular data DVDs either).
Comment 18 Nik Lam 2009-12-22 01:22:27 EST
Created attachment 379770 [details]
Output of "devkit-disks --show-info /dev/sr0"


Thanks Tomáš,

(In reply to comment #17)
> `lsof | grep /dev/sr0` should show you only gvfsd-cdda, would be interesting to
> see if something else is accessing the drive at the same time.

I ran the lsof frequently (more than once a second) while the drive was spinning up. Sometimes there are two gvfsd-cdd processes, and most of the time nautilus is also accessing the drive:

[root@sonofchipolata ~]# lsof | grep sr0
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/nik/.gvfs
      Output information may be incomplete.
nautilus  1916       nik   33u      BLK               11,0      0t0       3575 /dev/sr0
gvfsd-cdd 2404       nik    7r      BLK               11,0      0t0       3575 /dev/sr0
gvfsd-cdd 2404       nik    8w      BLK               11,0      0t0       3575 /dev/sr0


> > ==Runlevel 3==
> Hold on, so you say it happens without running X? If so, that might be caused
> by devkit-disks-daemon (try killing it to see what happens). Alternatively, you
> can try doing `devkit-disks --inhibit-polling /dev/sr0`. I would be interested
> in the output of `devkit-disks --show-info /dev/sr0` too, please attach it
> here.
> 

When I insert an audio CD (as opposed to a data CD) when in runlevel 3, I see the kernel output about "Buffer I/O error on device sr0", but other than this, from the app that I could test (cdparanoia) it appeared to be working OK.

I tried inserting an audio CD while "devkit-disks --inhibit-polling /dev/sr0" was running but the output looks the same. I have attached the --show-info of the drive.

> > ==GNOME==
> > ===Audio CD===
> > • Inserting an audio CD under gnome results in the errors that have been
> > described in this and other bug reports, namely the repeated GUI-based HAL
> > popup error, each time accompanied by some kernel error output in
> > /var/log/messages.
> What do you mean by "GUI-based HAL popup error"? HAL shouldn't be used anymore
> in Fedora/Gnome.
> 

Oops - my mistake. I meant DBus, not HAL.  FYI, the popup says:


   Unable to mount Audio Disc

   DBus error org.freedesktop.DBus.Error.NoReply: Message
   did not receive a reply (timeout by message bus)

> What about disabling autorun on Audio CDs in
> nautilus-file-management-properties ?

Via the menu,

 System -> Preferences -> File Manager

in the Media tab, I set the CD Audio dropdown to "Do Nothing".  I also tried to check the "Never prompt or start programs on media insertion" and rebooted, but I still get the same behaviour.


> 
> > I suspect that this problem is also behind why I can no longer play DVDs even
> > though I've installed the appropriate non-free codecs etc.  
> I would say this is unrelated to CDDA unless you see similar error messages.
> DVD Video discs are basically data DVD containing just a UDF format (nothing
> unusual with regular data DVDs either).

Fair enough. Maybe I've made some kind of software installation error, but perhaps this drive is just damn quirky and I'm hitting some other hardware incompatibility. On the Thinkpad X301 the drive is a removable one that can be substituted with a battery bay. It was working for DVDs when I first started using it back on Fedora 10 I think.

Would it help with this audio CD bug if other people who are experiencing the problem with different hardware also send in their devkit-disks --show-info /dev/sr0 output?
Comment 19 Mike C 2010-01-29 04:12:13 EST
I had very similar lines appearing in /var/log/messages when I inserted a blank CD and tried to burn an iso in F12. Burn failed using Brasero and the same result using k3b.  I reported this at https://bugzilla.redhat.com/show_bug.cgi?id=533643

Is this the same bug as in this report that I am seeing perhaps?
Comment 20 Fabian A. Scherschel 2010-03-30 05:26:47 EDT
Yeah, I think this is the same problem as Bug 533643 and it looks like a kernel issue to me. Still persists in F13 Alpha, BTW.
Comment 21 Bug Zapper 2010-11-04 03:01:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Fabian A. Scherschel 2010-11-04 05:43:03 EDT
This is still present in Fedora 14. Please set the version accordingly (I can't apparently).
Comment 23 Walter 2011-02-08 11:35:04 EST
I also have this issue in Fedora 14 with a known good cd/dvd drive and a fairly fresh and completely up-to-date fedora 14.

error:
Unable to mount Audio Disc

DBus error org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

I was able to listen to several CD's yesterday but a different set of CD's from a new book fails as does a number of others.

How do I change the time out value in F14?
Comment 24 Tomáš Bžatek 2011-02-14 11:53:09 EST
(In reply to comment #23)
> How do I change the time out value in F14?
It can't be changed. Moreover the timeout is usually long enough (a minute?) for any kind of hardware to respond. If it doesn't, it's broken and you need to find solution somewhere else. If you get this message immediately, check your system for any crashes, something in between might segfault.
Comment 25 Walter 2011-02-14 20:57:36 EST
Well, that response was not very helpful.  I don't think it is actually taking a full minute to time out.  20 or 30 seconds seams much closer to the actual time it takes for the error to manifest.  I have noticed that the error is most common on cd's with a large number of short tracks. Some audio books are being produced with 99 tracks per disk.  

If I had only seen the issue on the one machine since fedora 12 I would be inclined to believe, but I am seeing it on the same disks on 3 different drives on three different generations of computers - including a brand spanking new Toshiba 64-bit laptop with a fresh and fully updated install of fedora 14.  

Writing this off as broken hardware does not really appear hold water in this case. I suspect it could be encoding on the actual audio disks, because it is usually the same disks, but on some computers I can occasionally get them to read after the error, and other times they are unrecognized or fail to mount.  

This speaks of software, not hardware as it would be difficult to have three identical hardware issues on three different platforms that are intermittent in EXACTLY the same way.
Comment 26 Tomáš Bžatek 2011-02-16 09:46:01 EST
(In reply to comment #25)
> Well, that response was not very helpful.  I don't think it is actually taking
> a full minute to time out.  20 or 30 seconds seams much closer to the actual
> time it takes for the error to manifest.
It was just a wild guess.

> I have noticed that the error is most common on cd's with a large number of
> short tracks. Some audio books are being produced with 99 tracks per disk.  
So, does it exhibit only for CDs with many tracks? What about ordinary music CDs with about ten tracks?
Comment 27 Fedora End Of Life 2012-08-16 16:43:19 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.